Legacy (v0)
Unbundle subscriptions
Removes two or more of one customer’s subscriptions from their bundle so each bills on its own again. Requires a Bearer token for a company member with the subscriptions update permission, or a customer token for the customer’s own subscriptions. Returns 404 when a token does not match a subscription of the company, and 422 when subscription bundling is not enabled or the subscriptions belong to different customers.
POST
/
api
/
subscription_bundles
/
unbundle
Unbundle subscriptions
curl --request POST \
--url https://api.fluid.app/api/subscription_bundles/unbundle \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"unbundle": {
"subscription_tokens": [
"sb_4fKq9ZtW2xYbN8cRhJ3mLp",
"sb_9pRt3VxK7mQw2NbY5cLhZd"
]
}
}
'import requests
url = "https://api.fluid.app/api/subscription_bundles/unbundle"
payload = { "unbundle": { "subscription_tokens": ["sb_4fKq9ZtW2xYbN8cRhJ3mLp", "sb_9pRt3VxK7mQw2NbY5cLhZd"] } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
unbundle: {
subscription_tokens: ['sb_4fKq9ZtW2xYbN8cRhJ3mLp', 'sb_9pRt3VxK7mQw2NbY5cLhZd']
}
})
};
fetch('https://api.fluid.app/api/subscription_bundles/unbundle', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/subscription_bundles/unbundle",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'unbundle' => [
'subscription_tokens' => [
'sb_4fKq9ZtW2xYbN8cRhJ3mLp',
'sb_9pRt3VxK7mQw2NbY5cLhZd'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/subscription_bundles/unbundle"
payload := strings.NewReader("{\n \"unbundle\": {\n \"subscription_tokens\": [\n \"sb_4fKq9ZtW2xYbN8cRhJ3mLp\",\n \"sb_9pRt3VxK7mQw2NbY5cLhZd\"\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fluid.app/api/subscription_bundles/unbundle")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"unbundle\": {\n \"subscription_tokens\": [\n \"sb_4fKq9ZtW2xYbN8cRhJ3mLp\",\n \"sb_9pRt3VxK7mQw2NbY5cLhZd\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/subscription_bundles/unbundle")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"unbundle\": {\n \"subscription_tokens\": [\n \"sb_4fKq9ZtW2xYbN8cRhJ3mLp\",\n \"sb_9pRt3VxK7mQw2NbY5cLhZd\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"subscriptions": [
{
"id": 24310,
"subscription_token": "sb_4fKq9ZtW2xYbN8cRhJ3mLp",
"price": 49.49,
"quantity": 1,
"original_price": 54.99,
"subscription_plan_name": "Monthly Paper Refill",
"variant": {
"id": 70152,
"sku": "DM-20LB-CASE"
},
"currency": {
"id": 1,
"name": "United States Dollar",
"code": "USD",
"rate": "1.0",
"active": true,
"symbol": "$"
}
},
{
"id": 24311,
"subscription_token": "sb_9pRt3VxK7mQw2NbY5cLhZd",
"price": 12,
"quantity": 2,
"original_price": 12,
"subscription_plan_name": "Monthly Merch Drop",
"variant": {
"id": 70188,
"sku": "DM-MUG-SCR"
},
"currency": {
"id": 1,
"name": "United States Dollar",
"code": "USD",
"rate": "1.0",
"active": true,
"symbol": "$"
}
}
],
"meta": {
"request_id": "8f1b3d6a-2c9e-4a57-b0d3-e6a2c8f4b190",
"timestamp": "2026-09-20T08:18:05Z"
}
}{
"message": "<string>"
}⌘I
Unbundle subscriptions
curl --request POST \
--url https://api.fluid.app/api/subscription_bundles/unbundle \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"unbundle": {
"subscription_tokens": [
"sb_4fKq9ZtW2xYbN8cRhJ3mLp",
"sb_9pRt3VxK7mQw2NbY5cLhZd"
]
}
}
'import requests
url = "https://api.fluid.app/api/subscription_bundles/unbundle"
payload = { "unbundle": { "subscription_tokens": ["sb_4fKq9ZtW2xYbN8cRhJ3mLp", "sb_9pRt3VxK7mQw2NbY5cLhZd"] } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
unbundle: {
subscription_tokens: ['sb_4fKq9ZtW2xYbN8cRhJ3mLp', 'sb_9pRt3VxK7mQw2NbY5cLhZd']
}
})
};
fetch('https://api.fluid.app/api/subscription_bundles/unbundle', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/subscription_bundles/unbundle",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'unbundle' => [
'subscription_tokens' => [
'sb_4fKq9ZtW2xYbN8cRhJ3mLp',
'sb_9pRt3VxK7mQw2NbY5cLhZd'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/subscription_bundles/unbundle"
payload := strings.NewReader("{\n \"unbundle\": {\n \"subscription_tokens\": [\n \"sb_4fKq9ZtW2xYbN8cRhJ3mLp\",\n \"sb_9pRt3VxK7mQw2NbY5cLhZd\"\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fluid.app/api/subscription_bundles/unbundle")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"unbundle\": {\n \"subscription_tokens\": [\n \"sb_4fKq9ZtW2xYbN8cRhJ3mLp\",\n \"sb_9pRt3VxK7mQw2NbY5cLhZd\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/subscription_bundles/unbundle")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"unbundle\": {\n \"subscription_tokens\": [\n \"sb_4fKq9ZtW2xYbN8cRhJ3mLp\",\n \"sb_9pRt3VxK7mQw2NbY5cLhZd\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"subscriptions": [
{
"id": 24310,
"subscription_token": "sb_4fKq9ZtW2xYbN8cRhJ3mLp",
"price": 49.49,
"quantity": 1,
"original_price": 54.99,
"subscription_plan_name": "Monthly Paper Refill",
"variant": {
"id": 70152,
"sku": "DM-20LB-CASE"
},
"currency": {
"id": 1,
"name": "United States Dollar",
"code": "USD",
"rate": "1.0",
"active": true,
"symbol": "$"
}
},
{
"id": 24311,
"subscription_token": "sb_9pRt3VxK7mQw2NbY5cLhZd",
"price": 12,
"quantity": 2,
"original_price": 12,
"subscription_plan_name": "Monthly Merch Drop",
"variant": {
"id": 70188,
"sku": "DM-MUG-SCR"
},
"currency": {
"id": 1,
"name": "United States Dollar",
"code": "USD",
"rate": "1.0",
"active": true,
"symbol": "$"
}
}
],
"meta": {
"request_id": "8f1b3d6a-2c9e-4a57-b0d3-e6a2c8f4b190",
"timestamp": "2026-09-20T08:18:05Z"
}
}{
"message": "<string>"
}